## Afriex SDK

### TypeScript

```typescript
const response = await afriex.paymentMethods.getCryptoWallet({
  asset: "USDT", // or 'USDC'
  customerId: "optional-customer-id",
});

// Returns: { data: [{ address, network }], total, page }
```

```bash
curl --request GET \
  --url https://sandbox.api.afriex.com/api/v1/payment-method/crypto-wallet \
  --header 'x-api-key: <api-key>'
```

```python
import requests

url = "https://sandbox.api.afriex.com/api/v1/payment-method/crypto-wallet"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://sandbox.api.afriex.com/api/v1/payment-method/crypto-wallet', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response

200

```json
{
  "data": {
    "id": "695271a3ba52c13b669fad2b",
    "addresses": [
      {
        "address": "0x1234567890123456789012345678901234567890",
        "network": "ETHEREUM_MAINNET"
      },
      {
        "address": "TYASr5UV6HEcXatwdFQfmLVUqQQQMUxHLS",
        "network": "TRON_MAINNET"
      }
    ]
  }
}
```

Retrieve an existing crypto wallet or create a new one for the specified crypto asset. Supports USDT and USDC assets. **Important:** This endpoint is **only active in production** and does **not work on staging/dev**.

#### Authorizations

- **x-api-key**  
  Static business API key issued from the dashboard. Requests made with a key that does not include the permission required by the target endpoint will be rejected with a `403 Forbidden` response; an unrecognised, malformed or revoked key returns `401 Unauthorized`.

#### Headers

- **x-api-version**  
  API version in ISO 8601 format (e.g. 2025-12-28). Defaults to latest stable.

#### Query Parameters

- **asset**  
  Required. The crypto asset symbol for the wallet. Available options: `USDT`, `USDC`.

- **customerId**  
  Optional customer ID. If not provided, the wallet will be created for the business.

#### Response

200

```json
{
  "data": {
    "type": "object"
  }
}
```
